#!/bin/sh -e

WARNOPTS="-Wreturn-type -Wpointer-sign -Wsign-compare -Wshadow -Wpointer-arith -Wimplicit -Werror"
CC="gcc $WARNOPTS"

rm -f fwm

$CC -c config.c
$CC -c runprog.c
$CC -c tick.c
$CC -c error.c
$CC -c base.c
$CC -c winlist.c
$CC -c taskbar.c
$CC -c main.c
$CC -c xkrap.c
$CC -c xsupp.c

gcc -lX11 -Wall -Werror -o fwm *.o

rm -f *.o
