/* audio volume control for x11 (c) firk 2020
   please respect the authorship
   feel free to use this code for anything */

extern Display * display;
extern Screen * screen;
extern unsigned char volume, mute;

extern void handle_audio_mute(void);
extern void handle_audio_down(void);
extern void handle_audio_up(void);

/* drawing.c */
extern void x11_init(char const * display_name);
extern void x11_redraw(void);
extern void x11_event_cycle(int do_wait);

/* keyhooks.c */
extern void init_key_hooks(void);
extern int key_hook_handler(XEvent * ev);

